Package be.fgov.ehealth.mediprima.core.v1

# Class PswcSupportType

java.lang.Object
be.fgov.ehealth.mediprima.core.v1.PswcSupportType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:17+02:00", comments="JAXB RI v4.0.5") public class PswcSupportType extends Object implements Serializable
Support of a CPAS / OCMW

Java class for PswcSupportType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PswcSupportType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ZivAmiPart" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="PatientPart" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Supplement" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Convention" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="Prescription" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PswcSupportType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPatientPart()`
  Patient part (part normally supported by the patient : remgeld / ticket modérateur) covered by the OCMW / CPAS.
  `String`
  `getSupplement()`
  Supplements supported by the OCMW / CPAS.
  `String`
  `getZivAmiPart()`
  ZIV/AMI part (part normally supported by ZIV/AMI) covered by the OCMW / CPAS.
  `Boolean`
  `isConvention()`
  If there is a convention between the OCWM / CPAS and the healthcare provider, use this convention to fix the agreement
  `Boolean`
  `isPrescription()`
  The OCMW / CPAS agrees to pay the care only when there is a prescription.
  `void`
  `setConvention(Boolean value)`
  Sets the value of the convention property.
  `void`
  `setPatientPart(String value)`
  Sets the value of the patientPart property.
  `void`
  `setPrescription(Boolean value)`
  Sets the value of the prescription property.
  `void`
  `setSupplement(String value)`
  Sets the value of the supplement property.
  `void`
  `setZivAmiPart(String value)`
  Sets the value of the zivAmiPart property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PswcSupportType

    public PswcSupportType()

- ## Method Details

  - ### getZivAmiPart

    public String getZivAmiPart()
    ZIV/AMI part (part normally supported by ZIV/AMI) covered by the OCMW / CPAS. The values can be "NOTHING", "FULL" or "PARTIAL".
    Returns:
      possible object is `String`

  - ### setZivAmiPart

    public void setZivAmiPart(String value)
    Sets the value of the zivAmiPart property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getZivAmiPart()`

  - ### getPatientPart

    public String getPatientPart()
    Patient part (part normally supported by the patient : remgeld / ticket modérateur) covered by the OCMW / CPAS. The values can be "NOTHING", "FULL" or "PARTIAL".
    Returns:
      possible object is `String`

  - ### setPatientPart

    public void setPatientPart(String value)
    Sets the value of the patientPart property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPatientPart()`

  - ### getSupplement

    public String getSupplement()
    Supplements supported by the OCMW / CPAS. The OCMW / CPAS indicates if it agrees to cover the supplements. The values can be "NOTHING", "FULL" or "PARTIAL".
    Returns:
      possible object is `String`

  - ### setSupplement

    public void setSupplement(String value)
    Sets the value of the supplement property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSupplement()`

  - ### isConvention

    public Boolean isConvention()
    If there is a convention between the OCWM / CPAS and the healthcare provider, use this convention to fix the agreement
    Returns:
      possible object is `Boolean`

  - ### setConvention

    public void setConvention(Boolean value)
    Sets the value of the convention property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isConvention()`

  - ### isPrescription

    public Boolean isPrescription()
    The OCMW / CPAS agrees to pay the care only when there is a prescription.
    Returns:
      possible object is `Boolean`

  - ### setPrescription

    public void setPrescription(Boolean value)
    Sets the value of the prescription property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isPrescription()`